attribute vec3 Position;
attribute vec3 Normal;

uniform mat4 Proj;
uniform mat4 Model;
uniform mat4 Camera;

varying vec3 NormVec;
varying vec3 LightVec;
varying vec3 PosVec;

void main(void)
{
	vec4 Pos = Model * vec4(Position, 1.0);

	gl_Position = Proj * (Camera*Pos);
	
	PosVec		= gl_Position.xyz;
	NormVec     = (Model * vec4(Normal,0.0)).xyz;
	LightVec     = vec3(1,1,-1)-Pos.xyz;
}
